/*
 *
 * $Id: Main.m,v 1.1 2006/03/22 07:12:51 rh Exp $
 *
 * A simple example for the BufferedWriter class
 */
#include <stdio.h>
#include <stdlib.h>
#import <Foundation/Foundation.h>
#import "BufferedWriter.h"

int main (int argc, const char *argv[])
{
	NSAutoreleasePool *pool = [[NSAutoreleasePool alloc] init];
	BufferedWriter *writer = [BufferedWriter alloc];
	NSArray *lines = [NSArray arrayWithObjects:
		@"Line 1", @"Line 2", @"Line 3", nil];

	if (argc < 2) writer = [writer initWithStandardOutput];
	else writer = [writer initWithFile:
				[NSString stringWithCString: argv[1]]];

	NSEnumerator *e = [lines objectEnumerator];
	NSString *line;

	while (line = [e nextObject])
		[writer writeLine: line];

	[writer release];
	[pool release];

	return EXIT_SUCCESS;
}
